> ## Documentation Index
> Fetch the complete documentation index at: https://docs.camposcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/apps/{appId}/files

> This endpoint retrieves the files of an application by its ID.



## OpenAPI

````yaml GET /v1/apps/{appId}/files
openapi: 3.1.0
info:
  title: CamposCloud API Documentation
  description: >-
    This documentation provides an overview of the CamposCloud API, including
    authentication, endpoints, and data structures. It is designed to help
    developers integrate with the CamposCloud platform effectively.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.camposcloud.com
security:
  - bearerAuth: []
paths:
  /v1/apps/{appId}/files:
    get:
      description: Retrieves the files of an application by its ID
      parameters:
        - name: appId
          in: path
          required: true
          description: ID of the application to retrieve files from
          schema:
            type: string
        - name: path
          in: query
          required: false
          description: >-
            The path within the application to retrieve files from. If not
            provided, retrieves files from the root directory.
          schema:
            type: string
      responses:
        '200':
          description: Files retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileList'
        '404':
          description: Application not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FileList:
      type: object
      properties:
        isDirectory:
          type: boolean
          description: Indicates if the current path is a directory
          example: true
        content:
          type:
            - string
            - 'null'
          description: >-
            Content of the current file. If the current path is a directory,
            this will be null.
        files:
          type:
            - array
            - 'null'
          description: >-
            List of files and directories in the current path, if the current
            path is a directory or null if it is a file
          items:
            $ref: '#/components/schemas/File'
        prevPath:
          type: string
          description: >-
            The previous path in the file system. If the current path is the
            root directory, this will be null.
          example: null
        currentPath:
          type: string
          description: The current path in the file system
          example: /Database
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
          example: Not found
    File:
      type: object
      properties:
        name:
          type: string
          description: The name of the file or directory
          example: emojis.json
        isDirectory:
          type: boolean
          description: Indicates if the item is a directory
          example: false
        isFile:
          type: boolean
          description: Indicates if the item is a file
          example: true
        path:
          type: string
          description: The path of the file or directory
          example: /Database/emojis.json
        size:
          type:
            - integer
            - 'null'
          description: The size of the file in bytes, null for directories
          example: 3330
        createdAt:
          type: string
          format: date-time
          description: The date and time when the file or directory was created
          example: '2025-07-19T16:02:44.426Z'
        modifiedAt:
          type: string
          format: date-time
          description: The date and time when the file or directory was last modified
          example: '2025-07-19T16:02:44.426Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````